<?php
namespace WHMCS\Module\Addon\ProxyCheap\Commands;

use WHMCS\Module\Addon\ProxyCheap\AbstractCommand;
use WHMCS\Module\Addon\ProxyCheap\API;
class GetAvailableProtocols extends AbstractCommand
{
    public function get()
    {
        $proxyid = (int) $this->input['proxy_id'];

        $api = new API();
        $request = $api->setKey($this->params['apikey'])
            ->setSecret($this->params['apisecret'])
            ->setHeaders()
            ->executeGET('proxies/' . $proxyid . '/change-protocol');

        if (!$request) {
            return ['message' => 'Proxy not found'];
        }
        return $request;
    }

    public function post()
    {
    }
}